Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SVertexColorSetManipulator Class Reference

Vertex manipulator to set color to a fixed color for all vertices. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorSetManipulator:

List of all members.

## Public Member Functions

void | operator() (video::S3DVertex &vertex) const
| SVertexColorSetManipulator (video::SColor color)

## Detailed Description

Vertex manipulator to set color to a fixed color for all vertices.

Definition at line 27 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexColorSetManipulator::SVertexColorSetManipulator | ( | video::SColor | color | ) | `[inline]`

Definition at line 30 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorSetManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 31 of file SVertexManipulator.h.

References irr::video::S3DVertex::Color.

The documentation for this class was generated from the following file:

- SVertexManipulator.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)